Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0

From: Imran Iqbal <[email-masked]>
Date: Tue, 17 May 2022 18:49:43 -0400

Hi Luis,

> I have introduced libuv-for-luv, updated it to version 1.43.0 and put it> as the new input for make-lua-luv
Was the input for neovim also updated (it links against libuv as well)

> /gnu/store/l1s7piwdgv6gn5wyma8kv4jyb4fq50qm-lua5.1-luv-1.43.0-0/lib/libluv.so:
> undefined reference to `uv_try_write2'

`uv_try_write2` was introduced in libuv 1.42.0 see:
https://github.com/libuv/libuv/blob/730e07e2f77a4001bdf6894112271c926399f5a8/ChangeLog#L313

> I have experimented a bit with the libuv versions and only using 1.41.1
> this doesn't happen.

I think this makes sense as it would seem lua-luv is being built with
1.43 but neovim is being compiled against 1.41?

Cheers,
Imran